# This file is generated by cargo_embargo.
# Do not modify this file after the LOCAL_DIR line
# because the changes will be overridden on upgrade.
# Content before the first line starting with LOCAL_DIR is preserved.

LOCAL_DIR := $(GET_LOCAL_DIR)
MODULE := $(LOCAL_DIR)
MODULE_CRATE_NAME := protobuf
MODULE_RUST_CRATE_TYPES := rlib
MODULE_SRCS := $(LOCAL_DIR)/src/lib.rs
OUT_FILES := version.rs
BUILD_OUT_FILES := $(addprefix $(call TOBUILDDIR,$(MODULE))/,$(OUT_FILES))
$(BUILD_OUT_FILES): $(call TOBUILDDIR,$(MODULE))/% : $(MODULE)/out/%
	@echo copying $^ to $@
	@$(MKDIR)
	@cp $^ $@

MODULE_RUST_ENV += OUT_DIR=$(call TOBUILDDIR,$(MODULE))

MODULE_SRCDEPS += $(BUILD_OUT_FILES)

OUT_FILES :=
BUILD_OUT_FILES :=

MODULE_RUST_EDITION := 2018
MODULE_LIBRARY_DEPS := \
	

include make/library.mk
